{ lib
, stdenvNoCC
, zlib
, fetchFromGitHub
, scons
, pkg-config
, clang_12
, clang-tools
, gnutls
, forstio
, xorg
, libGL
}:

stdenvNoCC.mkDerivation {
  pname = "forstio-window";
  version = "0.0.0";

  nativeBuildInputs = [
    scons
    clang_12
    clang-tools
  ];

  buildInputs = [
    forstio.core
    forstio.async
    forstio.io
    xorg.libxcb
    xorg.libX11
    libGL
  ];

  src = ./..;

  enableParallelBuilding = true;

  outputs = ["out" "dev"];
}
