{ pkgs ? import <nixpkgs> {}
}:

let
  forstio = { 
    core =
      import ((builtins.fetchGit {
        url = "gitea@git.keldu.de:forstio/forstio-core.git";
        ref = "master";
      }).outPath + "/default.nix") {};
    async =
      import ((builtins.fetchGit {
        url = "gitea@git.keldu.de:forstio/forstio-async.git";
        ref = "master";
      }).outPath + "/default.nix") {};
    io =
      import ((builtins.fetchGit {
        url = "gitea@git.keldu.de:forstio/forstio-io.git";
        ref = "master";
      }).outPath + "/default.nix") {};
  };
in
pkgs.callPackage ./.nix/derivation.nix {
  inherit forstio;
}
